| gtk-0.11.2: Binding to the Gtk+ graphical user interface library. | Contents | Index
Graphics.UI.Gtk.ActionMenuToolbar.RadioAction |
Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Contents
Detail Class Hierarchy Types Constructors Methods Attributes Signals Deprecated
Description
An action of which only one in a group can be active Module available since Gtk+ version 2.4
Synopsis
data RadioAction
class ToggleActionClass o => RadioActionClass o
castToRadioAction :: GObjectClass obj => obj -> RadioAction
gTypeRadioAction :: GType
toRadioAction :: RadioActionClass o => o -> RadioAction
radioActionNew :: String -> String -> Maybe String -> Maybe StockId -> Int -> IO RadioAction
radioActionGetGroup :: RadioActionClass self => self -> IO [RadioAction]
radioActionSetGroup :: (RadioActionClass self, RadioActionClass groupMember) => self -> groupMember -> IO ()
radioActionGetCurrentValue :: RadioActionClass self => self -> IO Int
radioActionValueAttr :: RadioActionClass self => Attr self Int
radioActionGroup :: RadioActionClass self => ReadWriteAttr self [RadioAction] RadioAction
radioActionCurrentValue :: RadioActionClass self => Attr self Int
radioActionChanged :: RadioActionClass self => Signal self (RadioAction -> IO ())
onRadioActionChanged :: RadioActionClass self => self -> (RadioAction -> IO ()) -> IO (ConnectId self)
afterRadioActionChanged :: RadioActionClass self => self -> (RadioAction -> IO ()) -> IO (ConnectId self)
Detail
A `RadioAction` is similar to `RadioMenuItem`. A number of radio actions can be linked together so that only one may be active at any one time.
Class Hierarchy
     | GObject
     | +----Action
     | +----ToggleAction
     | +----RadioAction
Types
data RadioAction
Instances
Eq RadioAction |
Ord RadioAction |
GObjectClass RadioAction |
RadioActionClass RadioAction |
ToggleActionClass RadioAction |
ActionClass RadioAction |
class ToggleActionClass o => RadioActionClass o
Instances
RadioActionClass RadioAction |
castToRadioAction :: GObjectClass obj => obj -> RadioAction
gTypeRadioAction :: GType
toRadioAction :: RadioActionClass o => o -> RadioAction
Constructors
radioActionNew
:: String | `name` - A unique name for the action
-> String | `label` - The label displayed in menu items and on buttons
-> Maybe String | `tooltip` - A tooltip for this action
-> Maybe StockId | `stockId` - The stock icon to display in widgets representing this action
-> Int | `value` - The value which `radioActionGetCurrentValue` should return if this action is selected.
-> IO RadioAction |
Creates a new `RadioAction` object. To add the action to a `ActionGroup` and set the accelerator for the action, call Graphics.UI.Gtk.ActionMenuToolbar.ActionGroup.actionGroupAddActionWithAccel.
Methods
radioActionGetGroup
:: RadioActionClass self |
=> self |
-> IO [RadioAction] | returns the members of the radio group
Returns the list representing the radio group for this object
radioActionSetGroup
:: (RadioActionClass self, RadioActionClass groupMember) |
=> self |
-> groupMember | `groupMember` - an existing member of the radio group
-> IO () |
Sets the radio group for the radio action object.
radioActionGetCurrentValue
:: RadioActionClass self |
=> self |
-> IO Int | returns the value of the currently active group member
Obtains the value property of the currently active member of the group to which the action belongs.
Attributes
radioActionValueAttr :: RadioActionClass self => Attr self Int
The value is an arbitrary integer which can be used as a convenient way to determine which action in the group is currently active in an ::activate or ::changed signal handler. See `radioActionGetCurrentValue` and RadioActionEntry for convenient ways to get and set this property. Default value: 0
radioActionGroup :: RadioActionClass self => ReadWriteAttr self [RadioAction] RadioAction
Sets a new group for a radio action.
radioActionCurrentValue :: RadioActionClass self => Attr self Int
The value property of the currently active member of the group to which this action belongs. Default value: 0 Available since Gtk+ version 2.10
Signals
radioActionChanged :: RadioActionClass self => Signal self (RadioAction -> IO ())
The `radioActionChanged` signal is emitted on every member of a radio group when the active member is changed. The signal gets emitted after the actionActivated signals for the previous and current active members.
Deprecated
onRadioActionChanged :: RadioActionClass self => self -> (RadioAction -> IO ()) -> IO (ConnectId self)
afterRadioActionChanged :: RadioActionClass self => self -> (RadioAction -> IO ()) -> IO (ConnectId self)
The changed signal is emitted on every member of a radio group when the active member is changed. The signal gets emitted after the activate signals for the previous and current active members.
Produced by Haddock version 2.7.2